cvp.vo

## Class RegistraErogazioneFarmResponse

- java.lang.Object
- - cvp.vo.RegistraErogazioneFarmResponse

-     public class RegistraErogazioneFarmResponse
      extends java.lang.Object

  Risposta del web-service setRegistraErogazioneFarm.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `calcoloEffettuato` Codice dell’esito del calcolo del ticket effettuato dal Sistema TS: 0= il Sistema TS ha effettuato il calcolo del ticket, 1= il Sistema TS non è riuscito a calcolare il ticket (tutti i campi successivi di tale tracciato non vengono restituiti come tag).
    `private ElencoAnomalie` | `elencoAnomalie` ElencoAnomalie contiene la lista delle anomalie ricontrate dal processo di presa in carico della erogazione, elemento opzionale.
    `private ElencoDettagliTicket` | `elencoDettagliTicket` ElencoDettagliTicket contiene le ripartizioni di valori ticket e differenza tra il prezzo al pubblico e il prezzo di riferimento del farmaco secondo le regole regionali di assistenza dell’assistito per singolo farmaco
    `private java.lang.String` | `esito` Può contenere il valore TRUE oppure FALSE, elemento obbligatorio.
    `private java.lang.String` | `idRicetta` Numero univoco che viene assegnato dal SAC ad ogni ricetta trasmessa in differita
    `private java.lang.String` | `ticketTotale` Importo totale del ticket calcolato dal Sistema TS secondo le regole della regione di iscrizione dell’assistito

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegistraErogazioneFarmResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCalcoloEffettuato()`
    `ElencoAnomalie` | `getElencoAnomalie()`
    `ElencoDettagliTicket` | `getElencoDettagliTicket()`
    `java.lang.String` | `getEsito()`
    `java.lang.String` | `getIdRicetta()`
    `java.lang.String` | `getTicketTotale()`
    `void` | `setCalcoloEffettuato(java.lang.String calcoloEffettuato)`
    `void` | `setElencoAnomalie(ElencoAnomalie elencoAnomalie)`
    `void` | `setElencoDettagliTicket(ElencoDettagliTicket elencoDettagliTicket)`
    `void` | `setEsito(java.lang.String esito)`
    `void` | `setIdRicetta(java.lang.String idRicetta)`
    `void` | `setTicketTotale(java.lang.String ticketTotale)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### esito

          private java.lang.String esito

      Può contenere il valore TRUE oppure FALSE, elemento obbligatorio.

    - #### idRicetta

          private java.lang.String idRicetta

      Numero univoco che viene assegnato dal SAC ad ogni ricetta trasmessa in differita

    - #### elencoAnomalie

          private ElencoAnomalie elencoAnomalie

      ElencoAnomalie contiene la lista delle anomalie ricontrate dal processo di presa in carico della erogazione, elemento opzionale.

    - #### calcoloEffettuato

          private java.lang.String calcoloEffettuato

      Codice dell’esito del calcolo del ticket effettuato dal Sistema TS: 0= il Sistema TS ha effettuato il calcolo del ticket, 1= il Sistema TS non è riuscito a calcolare il ticket (tutti i campi successivi di tale tracciato non vengono restituiti come tag). Il gestionale dell’erogatore deve emettere un apposito diagnostico che avvisi della situazione anomala.

    - #### ticketTotale

          private java.lang.String ticketTotale

      Importo totale del ticket calcolato dal Sistema TS secondo le regole della regione di iscrizione dell’assistito

    - #### elencoDettagliTicket

          private ElencoDettagliTicket elencoDettagliTicket

      ElencoDettagliTicket contiene le ripartizioni di valori ticket e differenza tra il prezzo al pubblico e il prezzo di riferimento del farmaco secondo le regole regionali di assistenza dell’assistito per singolo farmaco

  - ### Constructor Detail

    - #### RegistraErogazioneFarmResponse

          public RegistraErogazioneFarmResponse()

  - ### Method Detail

    - #### getEsito

          public java.lang.String getEsito()

    - #### setEsito

          public void setEsito(java.lang.String esito)

    - #### getElencoAnomalie

          public ElencoAnomalie getElencoAnomalie()

    - #### setElencoAnomalie

          public void setElencoAnomalie(ElencoAnomalie elencoAnomalie)

    - #### getIdRicetta

          public java.lang.String getIdRicetta()

    - #### setIdRicetta

          public void setIdRicetta(java.lang.String idRicetta)

    - #### getCalcoloEffettuato

          public java.lang.String getCalcoloEffettuato()

    - #### setCalcoloEffettuato

          public void setCalcoloEffettuato(java.lang.String calcoloEffettuato)

    - #### getTicketTotale

          public java.lang.String getTicketTotale()

    - #### setTicketTotale

          public void setTicketTotale(java.lang.String ticketTotale)

    - #### getElencoDettagliTicket

          public ElencoDettagliTicket getElencoDettagliTicket()

    - #### setElencoDettagliTicket

          public void setElencoDettagliTicket(ElencoDettagliTicket elencoDettagliTicket)